# Class Cell

Represent a single cell of data in the Matrix component.

## Index

### Methods

- addPreview
- getHTML
- getValue
- removePreview
- setHTML
- setValue
- updatePreview

## Methods

### addPreview

- addPreview(minWidth: string, maxWidth: string): void

- - Defined in ui/Matrix/Cell.ts :54

  Show the preview of the cell.

  #### Parameters

  - ##### minWidth: string

    css minWidth property : eg 100px

  - ##### maxWidth: string

    css maxWidth property : eg 100px

  #### Returns void

### getHTML

- getHTML(): HTMLElement

- - Defined in ui/Matrix/Cell.ts :29

  Return the `HTMLElement` for the cell.

  #### Returns HTMLElement

### getValue

- getValue(): any

- - Defined in ui/Matrix/Cell.ts :21

  Return the value of the cell.

  #### Returns any

### removePreview

- removePreview(): void

- - Defined in ui/Matrix/Cell.ts :74

  Remove the preview of the cell

  #### Returns void

### setHTML

- setHTML(html: HTMLElement): void

- - Defined in ui/Matrix/Cell.ts :45

  Set the `HTMLElement` for the cell.

  #### Parameters

  - ##### html: HTMLElement

  #### Returns void

### setValue

- setValue(value: any): void

- - Defined in ui/Matrix/Cell.ts :37

  Set the value if the cell.

  #### Parameters

  - ##### value: any

  #### Returns void

### updatePreview

- updatePreview(template: string): void

- - Defined in ui/Matrix/Cell.ts :86

  Update the preview with a new template

  #### Parameters

  - ##### template: string

  #### Returns void

### Hierarchy

- Cell